Skip to main content
`Ctrl`+`K`

# TSARKIMEXARS122

Second order ARK IMEX scheme, [ARS97] This method has one explicit stage and one implicit stage.

## Options Database Key

- -ts_arkimex_type ars122 - set arkimex type to ars122

## References

[ARS97]

U.M. Ascher, S.J. Ruuth, and R.J. Spiteri. Implicit-explicit Runge-Kutta methods for time-dependent partial differential equations. Applied Numerical Mathematics, 25:151–167, 1997.

## See Also

TS: Scalable ODE and DAE Solvers, `TSARKIMEX`, `TSARKIMEXType`, `TSARKIMEXSetType()`

## Level

advanced

## Location

src/ts/impls/arkimex/arkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages